/***************************************************************************
 *   Copyright (C) 2005 by Sebastian Beck                                  *
 *   sebastian.bw@freenet.de                                                    
     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef MASCHINENAUSWAHL_H
#define MASCHINENAUSWAHL_H

#include "mauswahl.h"

#include <qstring.h>

/**
@author Sebastian Beck
*/

class MaschinenAuswahl : public MAuswahl
	{
	Q_OBJECT
	public:
	MaschinenAuswahl( QWidget* parent = 0 );
	
	~MaschinenAuswahl();
	
	bool MCHOSEN;
	int aM, v_max, v_min, s_max, s_min, vs_schlichten, vs_eintauchen;
	QCString name, sdat, wdat;
	Q_UINT8 spx, spy, spz, op;
	Q_INT16 vx, vy, vz, wx, wy, wz, mf, a;
	QString maschinendatei;
	
	public slots:
	void maschine_changed();
	void vs_schlichten_changed();
	void vs_eintauchen_changed();
	
	private slots:
	void ok_clicked();
	};

#endif
